%global mod_name Flask-WhooshAlchemy
%global with_python3 1

Name:           python-flask-whooshalchemy
Version:        0.56
Release:        3%{?dist}
Summary:        Whoosh extension to Flask/SQLAlchemy

Group:          Development/Libraries
License:        BSD
URL:            https://github.com/gyllstromk/Flask-WhooshAlchemy
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-flask
Requires:       python-sqlalchemy
Requires:       python-flask-sqlalchemy
Requires:       python-whoosh
Requires:       python-blinker

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-flask
%endif

%description
Flask-WhooshAlchemy is a Flask extension that integrates the text-search
functionality of Whoosh with the ORM of SQLAlchemy for use in Flask
applications.

%if 0%{?with_python3}
%package -n python3-flask-whooshalchemy
Summary:        Adds SQLAlchemy support to Flask application
Group:          Development/Libraries
Requires:       python3-sqlalchemy
Requires:       python3-flask-sqlalchemy
Requires:       python3-whoosh
Requires:       python3-blinker
%{!?py3_ver: %global py3_ver %(python3 -c "import sys; version=str(sys.version_info[0]) + '.' + str(sys.version_info[1]); print(version)" 2>/dev/null || echo PYTHON-NOT-FOUND)}

%description -n python3-flask-whooshalchemy
Flask-WhooshAlchemy is a Flask extension that integrates the text-search
functionality of Whoosh with the ORM of SQLAlchemy for use in Flask
applications.

This package includes the python 3 version of the module.
%endif # with_python3

%prep
# Delete upstream supplied egg-info
rm -rf *.egg-info
%setup -q -n %{mod_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

%files
%{python2_sitelib}/flask_whooshalchemy.py*
%{python2_sitelib}/Flask_WhooshAlchemy-%{version}-py%{python2_version}.egg-info/*
%doc README.rst LICENSE.txt PKG-INFO

%if 0%{?with_python3}
%files -n python3-flask-whooshalchemy
%{python3_sitelib}/flask_whooshalchemy.py
%{python3_sitelib}/__pycache__/flask_whooshalchemy.cpython-%{python3_version_nodots}.py*
%{python3_sitelib}/Flask_WhooshAlchemy-%{version}-py%{python3_version}.egg-info/*
%doc README.rst LICENSE.txt PKG-INFO
%endif # with_python3

%changelog
* Mon Dec 29 2014 Tonet Jallo <tonet666p@gmail.com> 0.56-3
- Correcting some errors in SPEC file

* Tue Sep 16 2014 Tonet Jallo <tonet666p@gmail.com> 0.56-2
- Correcting duplicated files in SPEC file

* Sat Sep 13 2014 Tonet Jallo <tonet666p@gmail.com> 0.56-1
- Initial RPM release


